/*
* $Log: gfx.h,v $
* Revision 1.7  2004/01/31 15:31:25  Default
* Palettes moved to here. prototype declaration fixes.
* copying from buffer -> vram moved to blit.c
*
* Revision 1.6  2004/01/30 22:42:41  Default
* Code added for the smooth panning/scrolling effect.
*
* Revision 1.5  2004/01/25 21:16:11  richq
* Got rid of unused code.. plus clear text stuff changed.
*
* Revision 1.4  2004/01/22 22:31:15  richq
* Added the nightime darkness - a straight forward palette swap.
* Moved the text palette init stuff in here too, was in shield.c
*
* Revision 1.3  2004/01/22 20:14:13  richq
* Night palette, more functions added to header, sprite priority variable.
*
* Revision 1.2  2004/01/21 19:08:22  Default
* Header contains new gfx routines called from other modules.
*
* Revision 1.1.1.1  2004/01/17 09:32:34  Default
* Lords Of Midnight GBA
*
*
*/
#ifndef GFX_H
#define GFX_H

#include "backgrounds.h"
#include "gba.h"
#include "sprite.h"

#define PAN_RIGHT 1
#define PAN_LEFT 2

#define FONT_TILE 3

extern Bg bg_level;
extern Bg bg_text;
extern Bg bg_horizon;

extern const u16 brightPal[];
extern const u16 nonBrightPal[];

// this pointer should be set to the speccy gfx 
// before calling createTile.
extern const u8 * gfxTable;
extern int g_panningOn;
extern int g_panning;
extern u8 * const g_buffer;

// print a character at row, col
void print_text(char text, int row, int col, int pal);

void init_backgrounds(void);
void init_gfxbuffer(void);

void load_font(void);
void clear_vram(void);
void setup_view(void);
//void drawLine (int y, int x1, int x2, int ink);
//void drawSet (int y, int x, int ink);
void clear_view(void);
void clear_text(void);
void clear_text_from(int startY);

void move_sprite(int id, int x, int y);
void MoveSprite(OAMEntry* sp, signed short int x, signed short int y);
void CopyOAM(void);

void createTile(u8 * pixels, int tile, int pen, int paper);
void drawImage(u8 * pixels, u8 col, u8 row, u8 sprite);

void remove_sprite(int id);
void init_sprite64(int id, int priority);
void clearSpriteRAM(u8 sprite);

void set_horizon(void);
void fade_up(void);

void set_palette_time(int time);
void set_think_palette(void);
void set_night_palette(void);

void drawLineToBuffer(int x1, int x2, int yOffset, int colour);
void drawSetToBuffer(int x, int yOffset, int colour);
void clearBuffer(void);

void scrollBufferLeft(void);
void scrollBufferRight(void); 

void fade_up(void);
void fade_down(void);


#endif

