/*
* $Log: input.c,v $
* Revision 1.8  2004/01/31 14:54:04  Default
* Fixed implicit declaration warnings
*
* Revision 1.7  2004/01/30 22:43:48  Default
* gameover flag added, checked after night
*
* Revision 1.6  2004/01/27 20:19:13  richq
* The temp lord object has changed - it's now a pointer to the actual
* table entry and gets rid of the need for all the copying
* from temp to the table and back again.
*
* Revision 1.5  2004/01/26 20:36:00  richq
* Small playability changes, left and right d-pad instead of shoulders
* for menu selections. Plus save menu added on start.
*
* Revision 1.4  2004/01/25 21:21:12  richq
* Choices and selection stuff.
*
* Revision 1.3  2004/01/22 20:19:36  richq
* Huge control changes.
* left, right - rotate view
* up - move forwards, will show Think if unable to move
* A - Think screen
* B - Select screen
* L,R - select previous/next char
*
* common Think, Choose, Select buttons:
* up, down - change menu option selection
* L,R - Cycle through the Think, Choose, Select screens
* B - Look
* Plus others...
*
* Revision 1.2  2004/01/21 19:09:43  Default
* Shuffled stuff about a bit. Moved non-input specific code to other
* modules. Still not final though...
*
* Revision 1.1.1.1  2004/01/17 09:32:34  Default
* Lords Of Midnight GBA
*
*
*/

#include "gba.h"
#include "keypad.h"
#include "screenmode.h"

#include "lords.h"
#include "look.h"
#include "think.h"
#include "choose.h"
#include "select.h"
#include "doomdark.h"
#include "menu.h"
#include "gfx.h"
#include "savearea.h"
void up_pressed(void);
void down_pressed(void);
void left_pressed(void);
void right_pressed(void);
void a_pressed(void);
void b_pressed(void);
void l_pressed(void);
void r_pressed(void);
void start_pressed(void);
void select_pressed(void);


void handle_keys (void) {
  UpdateKeys();
  u16 delay = 10;
  
  
  if (KeyPressedNoBounce(KEY_UP,delay)) {
    up_pressed();
  }
  
  if (KeyPressedNoBounce(KEY_DOWN,delay)) {
    down_pressed();
    
  }
  
  
  if (KeyPressedNoBounce(KEY_LEFT,delay)) {
    left_pressed();
  }
  
  if (KeyPressedNoBounce(KEY_RIGHT,delay)) {
    right_pressed();
    
  }
  
  
  if (KeyPressedNoBounce(KEY_START,120)) {
    start_pressed();
  }
  
  if (KeyPressedNoBounce(KEY_SELECT,200)) {
    select_pressed();
  }
  
  if (KeyPressedNoBounce(KEY_R,120)) {
    r_pressed();
  }
  
  if (KeyPressedNoBounce(KEY_L,120)) {
    l_pressed();
  }
  
  if (KeyPressedNoBounce(KEY_A,delay)) {
    a_pressed();
    
  }
  
  if (KeyPressedNoBounce(KEY_B,delay)) {
    b_pressed();
  }
  
//  if (position_changed) {
//    look();
//  }
  
}


void up_pressed(void){
  switch(g_lordScreen) {
    case THINK_SCREEN :
    case LOOK_SCREEN : 
    moveForwards();
    break;
    
    case CHOOSE_SCREEN :
    chooseUp();
    WaitKeyReleased(KEY_UP);
    break;
    case SELECT_SCREEN : 
    selectUp();
    WaitKeyReleased(KEY_UP);
    break;
    case MENU_SCREEN : 
    // menuUp();
    WaitKeyReleased(KEY_UP);
    break;
    
    
    default: break;
  }
}

void down_pressed(void){
  switch(g_lordScreen) {
    
    case LOOK_SCREEN : 
    choose();
    break;
    
    case CHOOSE_SCREEN :
    chooseDown();
    WaitKeyReleased(KEY_DOWN);
    break;
    case SELECT_SCREEN : 
    selectDown();
    WaitKeyReleased(KEY_DOWN);
    break;
    case MENU_SCREEN : 
    // menuDown();
    WaitKeyReleased(KEY_DOWN);
    break;
    
    default: break;
  }
}
 
void left_pressed(void){
  switch(g_lordScreen) {
    case LOOK_SCREEN : 
    rotateLeft();
    break;
    
    case CHOOSE_SCREEN : 
    clearHighlighter();
    think();
    break;
    case SELECT_SCREEN : 
    clearHighlighter();
    choose();
    break;
    case THINK_SCREEN :
    clearHighlighter(); 
    select();
    break;
    
    default: break;
  }
}
void right_pressed(void){
  switch(g_lordScreen) {
    case LOOK_SCREEN : 
    rotateRight();
    break;
    case CHOOSE_SCREEN :
    clearHighlighter();
    select();
    break;
    case SELECT_SCREEN :
    clearHighlighter();
    think();
    break;
    case THINK_SCREEN :
    clearHighlighter();
    choose();
    break;
    default: break;
  }
}

void a_pressed(void){
  switch(g_lordScreen) {
    case LOOK_SCREEN : 
    case THINK_SCREEN : 
    think();
    break;
    
    case CHOOSE_SCREEN : 
    makeChoice();
    break;
    case SELECT_SCREEN : 
    makeSelection();
    break;
    case MENU_SCREEN :
    // makeMenuChoice();
    break;
    
    default: break;
  }
  WaitKeyReleased(KEY_A);
  
}

void b_pressed(void){
  switch(g_lordScreen) {
    case LOOK_SCREEN : 
    clearHighlighter();
    select();
    break;
    
    case THINK_SCREEN : 
    clear_view();
    set_palette_time(g_selectedLord->time);
    look();
    break;
    
    case CHOOSE_SCREEN : 
    case SELECT_SCREEN : 
    case MENU_SCREEN :
    clearHighlighter();
    look();
    break;
    
    default: break;
  }
  WaitKeyReleased(KEY_B);
}

void l_pressed(void){
  switch(g_lordScreen) {
    case CHOOSE_SCREEN : 
    case SELECT_SCREEN :
    case THINK_SCREEN : 
    case LOOK_SCREEN : 
    selectPrevLord();
    break;
    
    default: break;
  }
  WaitKeyReleased(KEY_L);
}

void r_pressed(void){
  switch(g_lordScreen) {
    case CHOOSE_SCREEN : 
    case SELECT_SCREEN :
    case THINK_SCREEN : 
    case LOOK_SCREEN : 
    selectNextLord();
    break;
    
    
    
    default: break;
  }
  WaitKeyReleased(KEY_R);
}

void select_pressed(void){
  // where ever we are, go to the night
  bringTheNight();
  // game over

  // now wait for A to be pressed, then wait for let go...
  while(1) {
    wait_vsync_int();
    UpdateKeys();
    if (KeyPressedNoBounce(KEY_A,1)) {
      break;
    }
  }
  if (!g_gameover)
    look();
  WaitKeyReleased(KEY_A);
  
}


void start_pressed(void){
  showSaveMenu();
}

