/*
* $Log: objects.h,v $
* Revision 1.4  2004/01/31 15:33:30  Default
* Palette stuff moved to gfx.c
*
* Revision 1.3  2004/01/25 21:27:00  richq
* Small adjustment for transparentness, first row and edges made transparent
* the rest is solid.
*
* Revision 1.2  2004/01/22 20:02:22  richq
* Now draws more objects in front of us. Objects descriptions for
* on the thinking screen added. Bit of optimisation of vram added too:
* doesn't unpack the same gaphics several times, but references
* repeated character gfx in OAM.
*                                                     
* Revision 1.1  2004/01/21 19:23:09  Default                              
* Draws the "objects" - character graphics. These are drawn to GBA sprites
* and makes use of a few routines in gfx.c.                               
*                                                                         
*/


#ifndef OBJECTS_H
#define OBJECTS_H


#define GFX_TARG_HORSE 0
#define GFX_FREE_HORSE 1
#define GFX_DOOM_RIDER 2
#define GFX_WISE_HORSE 3
#define GFX_MORKIN_HORSE 4
#define GFX_WOLF 5
#define GFX_DRAGON 6
#define GFX_ICE_TROLL 7
#define GFX_FREE 8
#define GFX_DOOM_WARRIOR 9
#define GFX_WISE 10
#define GFX_MORKIN 11
#define GFX_SKULKRIN 12
#define GFX_WILD_HORSE 13
#define GFX_TARG 14
#define GFX_FEY_HORSE 15
#define GFX_FEY 16

#define OBJECT_NOTHING 0
#define OBJECT_WOLVES 1
#define OBJECT_DRAGONS 2
#define OBJECT_ICE_TROLLS 3
#define OBJECT_SKULKRIN 4
#define OBJECT_WILD_HORSES 5
#define OBJECT_SHELTER 6
#define OBJECT_GUIDANCE 7
#define OBJECT_SHADOWS 8
#define OBJECT_WATERS 9
#define OBJECT_HAND 10
#define OBJECT_CUP 11
#define OBJECT_WOLF_SLAYER 12
#define OBJECT_DRAGON_SLAYER 13
#define OBJECT_ICE_CROWN 14
#define OBJECT_MOON_RING 15
#define OBJECT_EMPTY 16

// sprite definitions
#define OBJECT_SPRITE 1
#define MAX_OBJECTS 9


extern int g_tmpObject;
extern int g_objectKey;

void drawInFront(void);
void clear_objects(void);
void drawGFX(int id, int x, int y, int sprite);

void thinkAboutObjects(void);

void setObjectHere(void);
// bright > 0 means use the bright palette for objects
// bright == 0 means use the nonbright palette for objects (think screen)
void set_object_palette(int bright);

#endif

