/*                                                       
* $Log: places.h,v $
* Revision 1.3  2004/01/30 23:00:00  Default
* Dynamic memory stuff removed - replaced by static ewram assignment.
*
* Revision 1.2  2004/01/22 19:59:18  richq
* Map data now in RAM. Place x and y positions not clear. I think it's right
* now but not 100% sure if x and y should be swapped?
*                                     
* Revision 1.1  2004/01/21 19:24:39  Default             
* The list of "special places" - keeps and citadels, plus
* a few other strategic points on the map                
*                                                        
*/                                                       


/*
* Everything to do with locations
*/

#ifndef _PLACES_H
#define _PLACES_H

#include "gba.h"

#define mapInRom _binary_locations_bin_start
extern u8 mapInRom[];

#define areasInRom _binary_areas_bin_start
extern u8 areasInRom[];

typedef struct {
  u8 y;
  u8 x;
  u8 left;
  u8 right;
}
place_t;

extern const place_t specialPlacesTable[];

extern u8 * const g_map;
extern u8 * const g_areas;

// initialises the map data (allocates mem if needed)
void init_map(void);

#endif


