/*
* $Log: tokendata.h,v $
* Revision 1.7  2004/02/18 20:02:15  richq
* const fix for object descriptions
*
* Revision 1.6  2004/01/31 15:38:46  Default
* A couple of tokens altered for the select screen
*
* Revision 1.5  2004/01/26 20:37:15  richq
* verify changed to delete
*
* Revision 1.4  2004/01/25 21:31:07  richq
* Tokens for night time and battles
*
* Revision 1.3  2004/01/22 20:29:48  richq
* Yet more token arrays..
*
* Revision 1.2  2004/01/22 19:55:15  richq
* More token arrays added!
*                                                        
* Revision 1.1  2004/01/21 19:30:31  Default                                   
* Arrays of tokens that are used in various places.                            
* Generally they are only used once, so it doesn't really matter where they go,
* but having them all in one place is tidier.                                  
*                                                                              
*/

#ifndef _TOKENDATA_H
#define _TOKENDATA_H

#include "gba.h"


/*

See below for code!

For the record, the text tokens are as follows:

00 the
01 lothoril
02 gloom
03 moon
04 mirrow
05 glorim
06 korkith
07 lost
08 dead
09 weird
0a ugrak
0b death
0c doom
0d despair
0e vorgath
0f ushgarak
10 ugrorn
11 kor
12 toomog
13 ogrim
14 dodrak
15 gorgrath
16 valethor
17 coroth
18 ashimar
19 ithril
1a shadows
1b blood
1c thrall
1d torkren
1e gard
1f mitharg
20 moon
21 iserath
22 shimeril
23 odrark
24 ishmalay
25 brith
26 silence
27 elenil
28 rorath
29 morning
2a thimrath
2b corelay
2c rathrorn
2d lorgrim
2e lor
2f fadrath
30 droon
31 grarg
32 dreams
33 ithrorn
34 whispers
35 xajorkith
36 herath
37 kumar
38 marakith
39 targ
3a utarg
3b athoril
3c dregrim
3d dawn
3e trorn
3f coom
40 of
41 mountain
42 citadel
43 forest
44 henge
45 tower
46 village
47 down
48 keep
49 snowhall
4a lake
4b waste
4c ruin
4d lith
4e cavern
4f army
50 plain
51 frozen
52 domain
53 a
54 in
55 he
56 stand
57 north
58 south
59 east
5a west
5b looking
5c to
5d at
5e on
5f beside
60 less
61 than
62 hour
63 one
64 two
65 three
66 four
67 five
68 six
69 seven
6a eight
6b nine
6c ten
6d remain
6e day
6f it
70 is
71 night
72 luxor
73 morkin
74 corleth
75 rorthron
76 fawkrin
77 farflame
78 korinel
79 lord
7a fey
7b wise
7c skulkrin
7d dragon
7e moonprince
7f press
80 choose
81 key
82 save
83 others
84 game
85 start
86 tape       //pann
87 and
88 enter
89 being
8a has
8b been
8c do
8d you
8e want
8f verify   // delete
90 was
91 successful
92 continue
93 failed   // smooth
94 again
95 an
96 old
97 try
98 ing
99 horse
9a wolf
9b ice
9c troll
9d wild
9e guard
9f free
a0 dark
a1 midnight
a2 welcome
a3 land
a4 must
a5 first
a6 between
a7 new
a8 or
a9 fear
aa load
ab fallen
ac foul
ad abroad
ae are
af found
b0 nothing
b1 search
b2 many
b3 eleven
b4 twelve
b5 thir
b6 for
b7 fif
b8 teen
b9 twenty
ba hundred
bb thousand
bc no
bd have
be pass
bf war
c0 solstice
c1 began
c2 since
c3 battle
c4 rider
c5 warrior
c6 alone
c7 slew
c8 enemy
c9 thinks
ca victory
cb went
cc none
cd men
ce but
cf his
d0 all
d1 utterly
d2 very
d3 slightly
d4 quite
d5 tired
d6 invigorated
d7 command
d8 cannot
d9 guidance
da voice
db calls
dc shelter
dd refreshed
de which
df drain
e0 fill
e1 vigour
e2 life
e3 with
e4 hand
e5 brings
e6 sword
e7 slayer
e8 waters
e9 cup
ea crown
eb destroy
ec leads
ed can
ee hide
ef hidden
f0 seek
f1 killed
f2 afraid
f3 bold
f4 cold
f5 mild
f6 recruit
f7 fight
f8 wolves
f9 him
fa ring
*/



#define tokendict _binary_tokendict_bin_start
extern u8 tokendict[];

#define NEWLINE   0xfb
#define UPPERCASE 0xfc
#define NOSPACE   0xfd
#define LITERAL   0xfe
#define ENDTOKEN  0xff


extern const u8 phrasalEndings[];
extern const u8 heStands[];
extern const u8 directions[][2];

extern const u8 theTeens[];
extern const u8 theTees[];
extern const u8 een[];
extern const u8 dashJoin[];

extern const u8 lake[];
extern const u8 wastes[];
extern const u8 indomof [];

extern const u8 theLordOf[]; // the Lord of  
extern const u8 Lord[]; //Lord

extern const u8 ishidden[];
extern const u8 newlineHe[];
extern const u8 againDotDotDot[];

extern const u8 areAbroad[];
extern const u8 areAbroadNasty[];

extern const u8 * const objectDescriptions[20];

extern const u8 hehasfound[];
extern const u8 heslewthe[];

extern const u8 canDestroyCrown[];
extern const u8 lookingFor[];
extern const u8 youMustSeek[];


extern const u8 nightTime[];
extern const u8 dawnTime[];
extern const u8 lessThan[];
extern const u8 ofTheDay[];

extern const u8 andCannotContinue[];

extern const u8 theIcefearIs[];

extern const u8 heHasWithHim[];
extern const u8 toThe[];

extern const u8 doomdarkHasArmy[];
extern const u8 ofthe[];

extern const u8 doomGrdTokens[];
extern const u8 guardThe[];

extern const u8 killedInBattle[];
extern const u8 slewhim[];

extern const u8 hisWarriorsAre[];
extern const u8 hisRidersAre[];

extern const u8 press2choose[];

extern const u8 donothide[];
extern const u8 fightThe[];
extern const u8 recruitmen[];
extern const u8 standOnGuard[];
extern const u8 tobattle[];

extern const u8 nightHasFallen[];
extern const u8 passedSinceWarBegan[];

extern const u8 dyawantDawn[];
extern const u8 luxorsdead[];

extern const u8 andMorkinIsDead[];
extern const u8 xajHasFallen[];

extern const u8 ushHasFallen[];
extern const u8 victoryToFree[];
extern const u8 icecrownDestroyed[];

extern const u8 theBloodySword[];
extern const u8 inTheBattleOf[];
extern const u8 aloneSlew[];
extern const u8 ofTheEnemy[];
extern const u8 hisRidersSlew[];
extern const u8 hisWarriorsSlew[];
extern const u8 theBattleContinues[];
extern const u8 victoryWent[];

#endif

